## watchcatd 1.2.1

=== Makefile ===
PKGNAME= watchcatd
PKGVERSION= 1.2.1

PREFIX ?= /usr/local

CFLAGS += -O2 -Wall -pedantic -L$(PREFIX)/lib -I$(PREFIX)/include -DWCAT_PREFIX=\"$(PREFIX)\"
#CFLAGS += -O2 -Wall -pedantic -L$(PREFIX)/lib -I$(PREFIX)/include -DWCAT_PREFIX=\"$(PREFIX)\" -ggdb

all: catmaster catslave

catmaster: utils.o master.o loadconf.o watchcatd.o
	$(CC) utils.o master.o loadconf.o watchcatd.o -levent -o catmaster $(CFLAGS)

catslave: utils.o slave.o watchcatd.o
	$(CC) utils.o slave.o watchcatd.o -levent -o catslave $(CFLAGS)

watchcatd.o: watchcatd.h watchcatd.c
	$(CC) -c watchcatd.c $(CFLAGS)

master.o: master.h utils.h watchcatd.h loadconf.h master.c
	$(CC) -c master.c $(CFLAGS)

slave.o: slave.h master.h utils.h watchcatd.h slave.c
	$(CC) -c slave.c $(CFLAGS)

utils.o: utils.h utils.c
	$(CC) -c utils.c $(CFLAGS)

loadconf.o: loadconf.h loadconf.c
	$(CC) -c loadconf.c $(CFLAGS)

install:
	strip catmaster catslave
	install -d $(PREFIX)/lib/watchcatd
	install -d $(PREFIX)/man/man5
	install -d $(PREFIX)/man/man8
	install -m0755 catmaster $(PREFIX)/lib/watchcatd
	install -m0755 catslave $(PREFIX)/lib/watchcatd
	install -m0600 watchcatd.prod.conf /etc/watchcatd.conf
	install -m0644 watchcatd.8 $(PREFIX)/man/man8/
	install -m0644 watchcatd.conf.5 $(PREFIX)/man/man5/

clean:
	rm -f *.o *.c~ *.h~ *.conf~ *.[0-9]~ catmaster catslave
	rm -f COPYRIGHT~ TODO~ Makefile~ *.init~ $(PKGNAME)-$(PKGVERSION).tar.bz2
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  rm -rf ../$(PKGNAME)-$(PKGVERSION); \
	fi

rpm: clean
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  cp -a . ../$(PKGNAME)-$(PKGVERSION); \
	fi
	tar -jcC .. --exclude .svn --exclude libwcat --exclude tester -f $(PKGNAME)-$(PKGVERSION).tar.bz2 $(PKGNAME)-$(PKGVERSION)
	rpm -ta $(PKGNAME)-$(PKGVERSION).tar.bz2
	rm -rf $(PKGNAME)-$(PKGVERSION).tar.bz2
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  rm -rf ../$(PKGNAME)-$(PKGVERSION); \
	fi

=== tester/Makefile ===
all:
	gcc -Wall -c cattester.c -I ../libwcat
	gcc -o cattester cattester.o -L ../libwcat -lwcat

=== debian/changelog ===
watchcatd (1.2.1-4) unstable; urgency=medium

  * QA upload
  * Convert to 3.0 source format (Closes: #1007562)

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 14:39:43 +0100

watchcatd (1.2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with libevent 2.1 (Closes: #869902)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 09 Aug 2017 00:08:58 -0400

watchcatd (1.2.1-3) unstable; urgency=low

  * Use /run instead of /var/run

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 24 Apr 2013 15:25:36 +0200

watchcatd (1.2.1-2) unstable; urgency=low

  * Fixed issue with recent glibc and sent patch upstream

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 23 Apr 2013 23:38:54 +0200

watchcatd (1.2.1-1) unstable; urgency=low

  * Initial Release. (Closes: #603218)

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 23 Apr 2013 19:07:01 +0200

=== debian/control ===
Source: watchcatd
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), libevent-dev, dpkg-dev (>= 1.16.1~)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.4
Homepage: http://oss.digirati.com.br/watchcatd/

Package: watchcatd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Process monitoring daemon
 A bug or malicious attacks to machine can lock up a process, leading to a
 deadlock or an unexpected condition. For example: an Apache httpd with
 mod_(php|perl|lua|your_preferred_script_language) running a bad script. When
 the monitored process locks up, the watchcat helps killing him. It is the best
 thing to do.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PREFIX=/usr

%:
	dh $@

override_dh_auto_install:
	cp catmaster debian/watchcatd/usr/bin
	cp catslave debian/watchcatd/usr/lib/watchcatd
	cp watchcatd.prod.conf debian/watchcatd/etc/watchcatd.conf
	cp watchcatd.8 debian/watchcatd/usr/share/man/man8
	cp watchcatd.conf.5 debian/watchcatd/usr/share/man/man5
